BimpHelp

Contracts: Bimp API methods

Bimp API methods for the “Contracts” resource (/org2/contract/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/contract/api-readA request to obtain detailed information for a particular contract
POST /org2/contract/api-readTypesA request to obtain detailed information about contract types
POST /org2/contract/api-readStatusesA request to obtain detailed information about contract statuses
POST /org2/contract/api-readListA request to view a list of users contracts
POST /org2/contract/api-createA request to create a new user contract
POST /org2/contract/api-updateA request to update user contract

api-read

POST /org2/contract/api-read

A request to obtain detailed information for a particular contract

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for user contract

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for user`s contract
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
namestringContract name
numberstringThe contract number
printNamestringPrintable name
codestring
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
mainboolean
managerstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
statusstring (uuid)
contractTypenumberA code for the Contract type, obtainable from the /contract/api-readTypes request
currencyRateSourcenumber
сurrencyRateCalculationPercentagenumber
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readTypes

POST /org2/contract/api-readTypes

A request to obtain detailed information about contract types

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
[].codenumber
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readTypes' \
  -H 'access-token: <company token>'

api-readStatuses

POST /org2/contract/api-readStatuses

A request to obtain detailed information about contract statuses

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readStatuses' \
  -H 'access-token: <company token>'

api-readList

POST /org2/contract/api-readList

A request to view a list of users contracts

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
[].numberstringThe contract number
[].isMainboolean
[].counterpartyobject
[].counterparty.namestring
[].counterparty.uuidstring (uuid)
[].currencyobject
[].currency.namestring
[].currency.uuidstring (uuid)
[].settlementTypeobject
[].settlementType.namestring
[].settlementType.uuidstring (uuid)
[].statusobject
[].status.namestring
[].status.uuidstring (uuid)
[].projectobject
[].project.namestring
[].project.uuidstring (uuid)
[].contractTypeobject
[].contractType.namestring
[].contractType.uuidstring (uuid)
[].contractType.codestring
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{}'

api-create

POST /org2/contract/api-create

A request to create a new user contract

Request body (JSON)

FieldTypeRequiredDescription
namestringyesContract name
counterpartystring (uuid)yesA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
currencystring (uuid)yesA unique identifier for the Currency, obtainable from the /currency/api-readList request
contractTypenumberyesA code for the Contract type, obtainable from the /contract/api-readTypes request
commentstringAn optional text field for any additional notes or comments related to the document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
managerstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
statusstring (uuid)
numberstringThe contract number

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","counterparty":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000","contractType":1}'

api-update

POST /org2/contract/api-update

A request to update user contract

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for user`s contract
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
namestringContract name
numberstringThe contract number
printNamestringPrintable name
codestring
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
priceListstring (uuid)A unique identifier for the Price List, obtainable from the /priceList/api-readList request
managerstring (uuid)A unique identifier for the Manager, obtainable from the /user/api-readList request
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
statusstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.